<?php
// Incluye los archivos necesarios: validar.php, imagenes.php y conexion.php
include 'validar.php';
include 'conexion.php';

// Validación: Verifica si el usuario ha iniciado sesión
if (!isset($_SESSION['Nombre'])) {
    // Si el usuario no ha iniciado sesión, redirige a la página de inicio de sesión
    header("Location: iniciar.php");
    exit(); // Finaliza la ejecución del script
}

// Obtener el ID del usuario de la sesión activa
$id = $_SESSION["id"];

// Consulta a la base de datos para obtener puntos y porcentaje del usuario
$sql2 = "SELECT * FROM usuario WHERE id = $id";
$resul2 = $conectado->query($sql2);

// Recorre los resultados de la consulta
while($row2 = $resul2->fetch_assoc()) {
    // Almacena los puntos del usuario en la variable $bb
    $bb = $row2["Nombre"]; 
    // Almacena el porcentaje total del usuario en la variable $totalpor

}
?>